Bug 1441729 - Review Request: lizardfs - Distributed, fault tolerant file system
Review Request: lizardfs - Distributed, fault tolerant file system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-12 10:57 EDT by Jonathan Dieter
Modified: 2017-04-27 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-27 16:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Dieter 2017-04-12 10:57:46 EDT
Spec URL: https://www.lesbg.com/jdieter/lizardfs.spec
SRPM URL: https://www.lesbg.com/jdieter/lizardfs-3.10.6-2.fc25.src.rpm

Description:
LizardFS is an Open Source, easy to deploy and maintain, distributed,
fault tolerant file system for POSIX compliant OSes.
LizardFS is a fork of MooseFS. For more information please visit
http://lizardfs.com

Fedora Account System Username: jdieter

Scratch build here: https://koji.fedoraproject.org/koji/taskinfo?taskID=18951199
Comment 1 Jonathan Dieter 2017-04-12 10:59:47 EDT
$ rpmlint SPECS/lizardfs.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/lizardfs-3.10.6-2.fc25.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/x86_64/lizard*.rpm
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfshdd.cfg.dist
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfschunkserver.cfg.dist
lizardfs-chunkserver.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-chunkserver.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmount.cfg.dist
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/iolimits.cfg.dist
lizardfs-client.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/lizardfs
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsappendchunks
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdirinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfileinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfilerepair
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrepquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfscheckfile
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdeleattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsseteattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfstools.sh
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsmakesnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgeteattr
lizardfs-master.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfstopology.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmaster.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsgoals.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/globaliolimits.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsexports.cfg.dist
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-metalogger.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-metalogger.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmetalogger.cfg.dist
lizardfs-metalogger.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-metalogger.x86_64: W: non-standard-gid /var/lib/mfs mfs
8 packages and 0 specfiles checked; 0 errors, 42 warnings.
Comment 2 greg.hellings 2017-04-15 00:42:26 EDT
A few things I notice while reading through your spec file:

- When you're using sed to correct the use of /usr/bin/env, should you possibly change those to use the macros %{__python2} and %{__python3}.
Comment 4 greg.hellings 2017-04-18 17:43:21 EDT
Summary of issues. Some of them have more details below in the output of the tools.

[!] Looks like there is a bundled external library in external/crcutil-1.0, which I don't find anywhere being packaged for Fedora. This should either be packaged separately or removed from the code tree before building, in order to ensure that it is not being built into this package. It looks like some code is lifted from Boost as well. Potentially from other places, as well, although tracing the exact pedigree of individual files can be difficult. The state of such bundled files should be clearly defined.
[!] Licensing looks like it needs some clarifications to me. See below for more details on that.
[!] /etc/mfs doesn't have anything taking ownership of it
[!] You're running an unnecessary rm -rf %{buildroot} at the start of %install. This is obsolete and no longer needed
[!] Use of %define instead of %global to set common variables throughout the package
[!] rpmlint output is mostly innocuous, but the errors relate to the sed commands I asked you to update the previous round. Those macros only get defined if there is a BR on python-devel and python3-devel. I'll leave it up to your judgment whether you want to include those packages for the sake of the macros or if you want to revert to the hard-coded values.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "GPL (v3 or later)", "Unknown or generated",
     "MIT/X11 (BSD like)", "BSL (v1.0)", "*No copyright* GPL (v3 or
     later)", "*No copyright* GPL (v3)", "GPL (v2 or later) (with incorrect
     FSF address)", "BSD (3 clause)", "GPL (v3)", "*No copyright* Apache
     (v2.0)". 415 files have unknown license. 

     There's lots of confusion about the licensing in these files, making it
     unclear where some of it all comes from. Some of these the tools picked
     up as being under a license that requires the license itself be distributed
     with the application. Some of those make me think they were lifted from
     partially bundled libraries (e.g. common/coroutine.h references being
     under the Boost license and is similar to some names files that came
     out of that library)
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/mfs
     One of these packages should take ownership of /etc/mfs
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/mfs
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     The following config files have supporting reason why stated in package
     Note: No (noreplace) in %config /etc/mfs/mfsexports.cfg.dist %config
     /etc/mfs/mfstopology.cfg.dist %config /etc/mfs/mfsgoals.cfg.dist
     %config /etc/mfs/mfsmaster.cfg.dist %config
     /etc/mfs/globaliolimits.cfg.dist %config
     /etc/mfs/mfsmetalogger.cfg.dist %config
     /etc/mfs/mfschunkserver.cfg.dist %config /etc/mfs/mfshdd.cfg.dist
     %config /etc/mfs/mfsmount.cfg.dist %config /etc/mfs/iolimits.cfg.dist
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 286720 bytes in 21 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     lizardfs-master , lizardfs-metalogger , lizardfs-chunkserver ,
     lizardfs-client , lizardfs-cgi , lizardfs-cgiserv , lizardfs-adm ,
     lizardfs-debuginfo
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define liz_project mfs,
     %define liz_group %{liz_project}, %define liz_user %{liz_project},
     %define liz_datadir %{_localstatedir}/lib/%{liz_project}, %define
     liz_confdir %{_sysconfdir}/%{liz_project}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lizardfs-master-3.10.6-3.fc26.x86_64.rpm
          lizardfs-metalogger-3.10.6-3.fc26.x86_64.rpm
          lizardfs-chunkserver-3.10.6-3.fc26.x86_64.rpm
          lizardfs-client-3.10.6-3.fc26.x86_64.rpm
          lizardfs-cgi-3.10.6-3.fc26.x86_64.rpm
          lizardfs-cgiserv-3.10.6-3.fc26.x86_64.rpm
          lizardfs-adm-3.10.6-3.fc26.x86_64.rpm
          lizardfs-debuginfo-3.10.6-3.fc26.x86_64.rpm
          lizardfs-3.10.6-3.fc26.src.rpm
lizardfs-master.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/globaliolimits.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsexports.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsgoals.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmaster.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfstopology.cfg.dist
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-metalogger.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-metalogger.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmetalogger.cfg.dist
lizardfs-metalogger.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-metalogger.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfschunkserver.cfg.dist
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfshdd.cfg.dist
lizardfs-chunkserver.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-chunkserver.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/iolimits.cfg.dist
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmount.cfg.dist
lizardfs-client.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/lizardfs
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsappendchunks
lizardfs-client.x86_64: W: no-manual-page-for-binary mfscheckfile
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdeleattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdirinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfileinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfilerepair
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgeteattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsmakesnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrepquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsseteattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfstools.sh
lizardfs-cgi.x86_64: E: wrong-script-interpreter /usr/share/mfscgi/chart.cgi %{__python2} 
lizardfs-cgi.x86_64: E: wrong-script-interpreter /usr/share/mfscgi/mfs.cgi %{__python2} 
lizardfs-cgiserv.x86_64: E: wrong-script-interpreter /usr/sbin/lizardfs-cgiserver %{__python2} 
lizardfs-cgiserv.x86_64: E: wrong-script-interpreter /usr/sbin/mfscgiserv %{__python2} 
9 packages and 0 specfiles checked; 4 errors, 42 warnings.




Rpmlint (debuginfo)
-------------------
Checking: lizardfs-debuginfo-3.10.6-3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
lizardfs-cgi.x86_64: E: wrong-script-interpreter /usr/share/mfscgi/chart.cgi %{__python2} 
lizardfs-cgi.x86_64: E: wrong-script-interpreter /usr/share/mfscgi/mfs.cgi %{__python2} 
lizardfs-cgiserv.x86_64: E: wrong-script-interpreter /usr/sbin/lizardfs-cgiserver %{__python2} 
lizardfs-cgiserv.x86_64: E: wrong-script-interpreter /usr/sbin/mfscgiserv %{__python2}
lizardfs-metalogger.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-metalogger.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmetalogger.cfg.dist
lizardfs-metalogger.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-metalogger.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/iolimits.cfg.dist
lizardfs-client.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmount.cfg.dist
lizardfs-client.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/lizardfs
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsappendchunks
lizardfs-client.x86_64: W: no-manual-page-for-binary mfscheckfile
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdeleattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsdirinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfileinfo
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsfilerepair
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgeteattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsmakesnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrepquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrgettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsrsettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfsseteattr
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetgoal
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssetquota
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssettrashtime
lizardfs-client.x86_64: W: no-manual-page-for-binary mfssnapshot
lizardfs-client.x86_64: W: no-manual-page-for-binary mfstools.sh
lizardfs-master.x86_64: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/globaliolimits.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsexports.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsgoals.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfsmaster.cfg.dist
lizardfs-master.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfstopology.cfg.dist
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs mfs
lizardfs-master.x86_64: W: non-standard-uid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-master.x86_64: W: non-standard-gid /var/lib/mfs/metadata.mfs.empty mfs
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfschunkserver.cfg.dist
lizardfs-chunkserver.x86_64: W: conffile-without-noreplace-flag /etc/mfs/mfshdd.cfg.dist
lizardfs-chunkserver.x86_64: W: non-standard-uid /var/lib/mfs mfs
lizardfs-chunkserver.x86_64: W: non-standard-gid /var/lib/mfs mfs
8 packages and 0 specfiles checked; 4 errors, 42 warnings.



Requires
--------
lizardfs-cgi (rpmlib, GLIBC filtered):
    python

lizardfs-cgiserv (rpmlib, GLIBC filtered):
    /bin/sh
    lizardfs-cgi
    systemd-units

lizardfs-metalogger (rpmlib, GLIBC filtered):
    /bin/sh
    config(lizardfs-metalogger)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_209)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    systemd-units

lizardfs-client (rpmlib, GLIBC filtered):
    /bin/bash
    config(lizardfs-client)
    fuse
    libc.so.6()(64bit)
    libfuse.so.2()(64bit)
    libfuse.so.2(FUSE_2.4)(64bit)
    libfuse.so.2(FUSE_2.5)(64bit)
    libfuse.so.2(FUSE_2.6)(64bit)
    libfuse.so.2(FUSE_2.8)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

lizardfs-master (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(lizardfs-master)
    libJudy.so.1()(64bit)
    libc.so.6()(64bit)
    libdb-5.3.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_209)(64bit)
    libz.so.1()(64bit)
    pam
    rtld(GNU_HASH)
    systemd-units

lizardfs-debuginfo (rpmlib, GLIBC filtered):

lizardfs-adm (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

lizardfs-chunkserver (rpmlib, GLIBC filtered):
    /bin/sh
    config(lizardfs-chunkserver)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_209)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    systemd-units



Provides
--------
lizardfs-cgi:
    lizardfs-cgi
    lizardfs-cgi(x86-64)

lizardfs-cgiserv:
    lizardfs-cgiserv
    lizardfs-cgiserv(x86-64)

lizardfs-metalogger:
    config(lizardfs-metalogger)
    lizardfs-metalogger
    lizardfs-metalogger(x86-64)

lizardfs-client:
    config(lizardfs-client)
    lizardfs-client
    lizardfs-client(x86-64)

lizardfs-master:
    config(lizardfs-master)
    lizardfs-master
    lizardfs-master(x86-64)

lizardfs-debuginfo:
    lizardfs-debuginfo
    lizardfs-debuginfo(x86-64)

lizardfs-adm:
    lizardfs-adm
    lizardfs-adm(x86-64)

lizardfs-chunkserver:
    config(lizardfs-chunkserver)
    lizardfs-chunkserver
    lizardfs-chunkserver(x86-64)



Source checksums
----------------
https://github.com/lizardfs/lizardfs/archive/v3.10.6/lizardfs-3.10.6.tar.gz :
  CHECKSUM(SHA256) this package     : 8f6c19d8122d34a416929dc6ea0c424d2152b5301ad8c8a20b412bf1de27b67d
  CHECKSUM(SHA256) upstream package : 8f6c19d8122d34a416929dc6ea0c424d2152b5301ad8c8a20b412bf1de27b67d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1441729
Buildroot used: fedora-26-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Jonathan Dieter 2017-04-19 08:56:15 EDT
Ok, the bundled libcrcutil is definitely the elephant in the room.  My original plan was to just bundle it as per https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries.

Unfortunately (or perhaps fortunately), crcutil can be built as a system library, so I can't bundle it.  The problem is that upstream seems to be dead (the last releases were on Google code), and, even worse, I can't seem to get the library to build at all.

If I could get the code to build as a system library, I'd happily package it, but I'm not sure what to do at this point.  Any ideas?
Comment 6 Jonathan Dieter 2017-04-19 11:31:47 EDT
Ok, I've looked at this in more detail, and it looks like upstream is *not* designed to be built as a library, but Debian has some patches that make it work.

According to the guidelines, because it's not designed to be built as a system library, I could bundle it.  On the other hand, because Debian has already done the work and upstream is basically dead, I would be willing to package it if you feel strongly enough on the subject.
Comment 7 greg.hellings 2017-04-19 11:52:49 EDT
In that case, is it being used for security or the like? And is it likely that any other packages would want to use it and rely on it?

From what I understand, the prohibition against bundling is so that everyone who might depend on the code can benefit when bugs and security holes get patched. If no one else is liable to use it then it sounds like you're good to go with the bundled version. The exception might be if the code is used for security purposes in lizardfs and we could benefit from sharing any such fixes and patches with other distros, e.g. Debian, when they arise.

Out of curiosity, why does Debian have this library packaged? Is it for lizardfs as well, or are there other libraries that use it in their repos?
Comment 8 Jonathan Dieter 2017-04-19 13:27:39 EDT
crcutil is used to generate crcs of data that gets read and written to make sure that it hasn't been corrupted.  I don't know of any other packages that would want to use it.  If another package did want to use it, that would be the point where we would need to unbundle it.

The Debian packager is the same guy who packaged LizardFS, and I think Debian has a hard "no bundling" rule, so I don't think they have any other users of it.
Comment 9 greg.hellings 2017-04-19 13:30:43 EDT
In that case, it sounds like you're fine to leave it bundled.
Comment 10 Jonathan Dieter 2017-04-19 15:11:33 EDT
Ok, that's what I've decided to go with.  I've fixed the other problems you listed.  As far as I can see, the Boost thing is basically one header from Boost that they've used, so I've added its license and crcutil's license to the License tag, along with an explanation.  The MIT license is for an install script, so it never ends up in any binary, the BSD license is for code that we don't compile, and the GPL (v2 or later) is for code that we don't include.
Comment 12 greg.hellings 2017-04-19 16:02:38 EDT
Review: approved
Comment 13 Jonathan Dieter 2017-04-19 16:38:38 EDT
Thanks so much for the review!
Comment 14 Gwyn Ciesla 2017-04-20 07:37:45 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lizardfs
Comment 15 Fedora Update System 2017-04-20 12:50:00 EDT
lizardfs-3.10.6-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fcb1151430
Comment 16 Fedora Update System 2017-04-23 16:23:21 EDT
lizardfs-3.10.6-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fcb1151430
Comment 17 Fedora Update System 2017-04-27 16:53:03 EDT
lizardfs-3.10.6-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.